<?php namespace App\Entities\Permissao;

use App\Utils\Entity;

class Permissao extends Entity
{
    protected $id;
    protected $descricao;
    protected $id_endpoint;
    protected $id_perfil;
    protected $ativo;

    public static function builder () : PermissaoBuilder {
        return new PermissaoBuilder();
    }

    public function getId() : int
    {
        return $this->id;
    }

    public function getDescricao() : string
    {
        return $this->descricao;
    }


    public function setId(int $id) : void
    {
        $this->id = $id;
    }

    public function setDescricao(string $descricao) : void
    {
        $this->descricao = $descricao;
    }

    /**
     * @return mixed
     */
    public function getIdEndpoint()
    {
        return $this->id_endpoint;
    }

    /**
     * @param mixed $id_endpoint
     */
    public function setIdEndpoint($id_endpoint): void
    {
        $this->id_endpoint = $id_endpoint;
    }

    /**
     * @return mixed
     */
    public function getIdPermissao()
    {
        return $this->id_perfil;
    }

    /**
     * @param mixed $id_perfil
     */
    public function setIdPermissao($id_perfil): void
    {
        $this->id_perfil = $id_perfil;
    }

    /**
     * @return mixed
     */
    public function getAtivo()
    {
        return $this->ativo;
    }

    /**
     * @param mixed $ativo
     */
    public function setAtivo($ativo): void
    {
        $this->ativo = $ativo;
    }

    /**
     * @return mixed
     */
    public function getIdPerfil()
    {
        return $this->id_perfil;
    }

    /**
     * @param mixed $id_perfil
     */
    public function setIdPerfil($id_perfil): void
    {
        $this->id_perfil = $id_perfil;
    }

}